| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
GaudiKernel.GaudiHandles.ServiceHandle Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.ServiceHandle:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.ServiceHandle:
[legend]

## Public Member Functions
def | __init__ (self, serviceName='')
Public Member Functions inherited from GaudiKernel.GaudiHandles.GaudiHandle
def | __init__ (self, typeAndName)
def | __repr__ (self)
def | __str__ (self)
def | toStringProperty (self)
def | getType (self)
def | getName (self)
def | getGaudiHandle (self)
def | getFullName (self)

## Static Public Attributes
string | componentType = "Service"
bool | isPublic = True
Static Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandle
string | componentType = "Unspecified"
bool | isPublic = True

## Static Private Attributes
tuple | __slots__ = ()

## Additional Inherited Members
Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandle
| typeAndName

## Detailed Description

Definition at line 91 of file GaudiHandles.py.

## Constructor & Destructor Documentation

def GaudiKernel.GaudiHandles.ServiceHandle.__init__ | ( |  | self,
|  |  | serviceName = `''`
| ) |  |

Definition at line 96 of file GaudiHandles.py.

96 def __init__(self, serviceName=''):
97 GaudiHandle.__init__(self, serviceName)
98
99 #
100 # The HandleArrays
101 #
102
103
GaudiKernel.GaudiHandles.ServiceHandle.__init__
def __init__(self, serviceName='')
Definition: GaudiHandles.py:96

## Member Data Documentation

tuple GaudiKernel.GaudiHandles.ServiceHandle.__slots__ = ()
| static private

Definition at line 92 of file GaudiHandles.py.

string GaudiKernel.GaudiHandles.ServiceHandle.componentType = "Service"
| static

Definition at line 93 of file GaudiHandles.py.

bool GaudiKernel.GaudiHandles.ServiceHandle.isPublic = True
| static

Definition at line 94 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py